SMIME Zimlet ( on Linux )

Discuss your pilot or production implementation with other Zimbra admins or our engineers.
User avatar
oetiker
Advanced member
Advanced member
Posts: 172
Joined: Fri Mar 07, 2014 1:05 pm
Location: Switzerland
ZCS/ZD Version: Release 9.0.0.GA.3924.UBUNTU18.64 U
Contact:

SMIME Zimlet ( on Linux )

Postby oetiker » Mon Sep 16, 2013 6:40 am

Hi
I get on Chrome and on Firefox the error Browser is not Supported....
is the zimlet not supported on Linux platforms?
cheers
-------------------

Secure email is not yet supported in this browser on this OS. Please try Firefox instead.

method: SecureEmail._sendMessage

msg: unsupported-browser

code: mail.SEND_FAILURE

detail: { "error": { "message": "unsupported-browser", "cause": null, "desc": "SMIMEException("unsupported-browser", "unsupported-browser")", "classname": "com.zimbra.smime.util.SMIMEException", "code": "unsupported-browser", "log": [ "com.zimbra.smime.cms.NSSCryptoUtil.(NSSCryptoUtil.java:95)", "com.zimbra.smime.cms.CryptoUtil.getUtil(CryptoUtil.java:172)", "com.zimbra.smime.actions.EncodeAction.getData(EncodeAction.java:126)", "com.zimbra.smime.actions.AbstractAction.run(AbstractAction.java:104)", "java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)", "java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)", "java.util.concurrent.Executors$PrivilegedThreadFactory$1$1.run(Executors.java:612)", "java.util.concurrent.Executors$PrivilegedThreadFactory$1$1.run(Executors.java:609)", "java.security.AccessController.doPrivileged(Native Method)", "java.util.concurrent.Executors$PrivilegedThreadFactory$1.run(Executors.java:609)", "java.lang.Thread.run(Thread.java:724)" ] }, "success": false }


sfontan
Posts: 1
Joined: Sat Sep 13, 2014 3:12 am

SMIME Zimlet ( on Linux )

Postby sfontan » Thu Dec 05, 2013 2:45 pm

I get the same. Would be great if I didnt need to jump into a vm just to send signed/encrypted email.
danielfarrelly
Advanced member
Advanced member
Posts: 144
Joined: Fri Sep 12, 2014 10:32 pm

SMIME Zimlet ( on Linux )

Postby danielfarrelly » Wed Jan 29, 2014 2:09 pm

SMIME only seems to work on Windows with the 32-bit version of Java 6. Tried all combos of 32-/64-bit browser/java configs in Ubuntu and OS X, and it always fails to find the cert. Chrome works in Windows, but complains about the older version of Java each time you login. That leaves IE - which of course works without complaint. Kinda funny... The only way to send "secure" email is to use IE on Windows with an outdated version of Java.

Return to “Administrators”

Who is online

Users browsing this forum: No registered users and 15 guests